import 'package:json_annotation/json_annotation.dart';
part 'Request.g.dart';

/// 
/// API request
/// 
@JsonSerializable(fieldRename: FieldRename.snake)
class Request {
  String command;
  Map<String, dynamic> parameters;

  Request({this.command, this.parameters});

  /// JSON codes
  factory Request.fromJson(Map<String, dynamic> json) => _$RequestFromJson(json);
  Map<String, dynamic> toJson() => _$RequestToJson(this);
}
